//  ** Revision History **
//  14-Oct-1992 (AH) BorderColor set to NoShow - No function but available in runtime mode.
//****************************************************************************
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:         vb2
//   
// PURPOSE:      Header file for FRAME subclass EuroCtrl project
//   
// COMMENTS:     
//   
// HISTORY:      920525AH Prehistory
//   
//****************************************************************************                    


#ifndef RC_INVOKED
//---------------------------------------------------------------------------
// Property list
//---------------------------------------------------------------------------

PPROPINFO proplistFrame_Vb2[]=
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_ENABLED,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_MOUSEPOINTER,
    PPROPINFO_STD_CAPTION,
    PPROPINFO_STD_FONTNAME,
    PPROPINFO_STD_FONTSIZE,
    PPROPINFO_STD_FONTBOLD,
    PPROPINFO_STD_FONTITALIC,
    PPROPINFO_STD_FONTSTRIKE,
    PPROPINFO_STD_FONTUNDER,
    PPROPINFO_STD_DRAGMODE,
    PPROPINFO_STD_DRAGICON,
    PPROPINFO_STD_TABINDEX,
    PPROPINFO_STD_TABSTOP,
    PPROPINFO_STD_TAG,
    &propinfoFramePictureBack,
    &propinfoFrameLook3D,
    &propinfoFrameBorderWidth,
    &propinfoFrameLight3DColor,
    &propinfoFrameDark3DColor,
    &propinfoFrameBorderColor,
    &propinfoFrameAlignHoriz,
    &propinfoFrameFont3D,
    &propinfoFrameInnerStyle,
    PPROPINFO_STD_FORECOLOR,
    &Property_Frame_About,
    PPROPINFO_STD_BORDERSTYLEOFF,
    &propinfoFrameOuterStyle,         
    &propinfoFrameDrawStyle,
    &propinfoFrameCaptionStyle,
    &propinfoFrameAutoSizeChild,
    &propinfoFramehWnd,
    NULL
};

//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO eventlistFrame_Vb2[] =
{
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    NULL
};

//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------

MODEL modelFrame_Vb2 =
{
    VB200_VERSION,                 // VB version being used
    MODEL_fDesInteract | MODEL_fFocusOk | MODEL_fChildrenOk,    // MODEL flags
    (PCTLPROC)FrameCtlProc,     // Control procedure
    CS_VREDRAW | CS_HREDRAW,    // Class style
    WS_TABSTOP,     			// Default Window style
    sizeof(FRAME),              // cbCtlExtra for FRAME structure
    IDBMP_FRAME,                // Palette bitmap ID
    "EsFrame",		       		// Default control name
    "EsFrame",		       		// Visual Basic class name
    NULL,                   	// Parent class name
    proplistFrame_Vb2,          // Properties list
    eventlistFrame_Vb2,         // Events list
	IPROP_FRAME_CAPTION,		// Default property
	EVENT_FRAME_DRAGDROP,		// Default event
};

LPMODEL modellistFrame_Vb2[] =
    {
    &modelFrame_Vb2,
    NULL
    };

MODELINFO modelinfoFrame_Vb2 =
    {
    VB200_VERSION, 			// VB version being used
    modellistFrame_Vb2		// MODEL list
    };
#endif  // RC_INVOKED
